
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Phone Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Phone</h1><h2>Description</h2>
<p>The Phone object is used to create Call objects using different protocols.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Phone</tt></p>
<h2>Methods</h2><ul>
<li><a href="#InitProtocols">InitProtocols</a></li>
<li><a href="#CreateCall">CreateCall</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Incoming">Incoming</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="InitProtocols">InitProtocols</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Initialize all the protocols. </p><h4>Returns</h4><i>as: protocols</i><p>The list of all the protocols names. </p>
<h3><a name="CreateCall">CreateCall</a> ( ssb ) &rarr; o</h3>
<p><i>Description:</i> Create a new Call to a given number, with an optional protocol. </p><h4>Parameters</h4><i>s: number</i><p>A string representing the number of the peer. </p><i>s: protocol</i><p>The name of the protocol as returned by InitProtocols,  if None the best protocol will be used. Default to None </p><i>b: force</i><p>If true, we destroy any already present call object to this number. Default to True </p><h4>Returns</h4><i>o: call</i><p>The path to the new Call object </p>
<h1>Signals</h1><h3><h3><a name="Incoming">Incoming</a> ( o )</h3><p><i>Description:</i> Emitted when a new call is incoming </p><h4>Parameters</h4><i>o: call</i><p>Path to the Call object. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

